Bug 469627 - Review Request: perl-MooseX-Types-Path-Class - A Path::Class type library for Moose
Review Request: perl-MooseX-Types-Path-Class - A Path::Class type library for...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
http://search.cpan.org/dist/MooseX-Ty...
:
Depends On:
Blocks: 469993 470178 perl-MooseX-App-Cmd
  Show dependency treegraph
 
Reported: 2008-11-03 02:55 EST by Chris Weyl
Modified: 2010-09-02 17:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-16 22:36:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-11-03 02:55:06 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Types-Path-Class.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Types-Path-Class-0.05-1.fc9.src.rpm

Description:
MooseX::Types::Path::Class creates common Moose types, coercions and option
specifications useful for dealing with Path::Class objects as Moose attributes.

Coercions (see Moose::Util::TypeConstraints) are made from both 'Str' and
'ArrayRef' to both Path::Class::Dir and Path::Class::File objects.  If you
have MooseX::Getopt installed, the Getopt option type ("=s") will be added
for both Path::Class::Dir and Path::Class::File.


Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=915265
Comment 1 Jason Tibbitts 2008-11-07 09:10:37 EST
Including the tests as documentation causes an additional dependency on perl(Test::More).  You'll either need to filter this or not include the tests as documentation.

This package also provides:
  perl(Bar)
  perl(Foo)
which seems a bit odd.  These seem to come from the tests as well.
Comment 2 Chris Weyl 2008-11-07 12:12:56 EST
Hmm, interesting.  These weren't included as auto dep/provs on either of my F-9 or F-8 systems (or dist-f9 under koji), but with a scratch build under dist-f10/dist-f11 they do.

no unwanted prov/req:
dist-f9: http://koji.fedoraproject.org/koji/getfile?taskID=921115&name=build.log

picks up prov/req:
dist-f10: http://koji.fedoraproject.org/koji/getfile?taskID=921117&name=build.log
dist-f11: http://koji.fedoraproject.org/koji/getfile?taskID=921119&name=build.log


Updated to filter bits from %_docdir:

Spec URL:
http://fedorapeople.org/~cweyl/review/perl-MooseX-Types-Path-Class.spec
SRPM URL:
http://fedorapeople.org/~cweyl/review/perl-MooseX-Types-Path-Class-0.05-2.fc9.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=921120
Comment 3 Jason Tibbitts 2008-11-13 15:24:55 EST
I see that you've been reviewing some packages lately, so I'll try to work through  your recent submissions.
Comment 4 Jason Tibbitts 2008-11-14 09:20:04 EST
It's sad to add all of that cruft to the specfile just so you can include some test files which are simply not even remotely useful as documentation.  Priorities, right?  But, hey, it's your package.

* source files match upstream:
   a80c5dc845a38867242edd2668db7ee8baa6126cd284b666ce2ed26fce30d5cd  
   MooseX-Types-Path-Class-0.05.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(MooseX::Types::Path::Class) = 0.05
   perl-MooseX-Types-Path-Class = 0.05-2.fc10
  =
   perl(:MODULE_COMPAT_5.10.0)
   perl(MooseX::Types::Moose)
   perl(Path::Class)
   perl(strict)
   perl(warnings)

* %check is present and all tests pass:
   All tests successful.
   Files=8, Tests=37,  3 wallclock secs ( 0.02 usr  0.02 sys +  1.03 cusr  0.11 
    csys =  1.18 CPU)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 5 Chris Weyl 2008-11-14 15:34:08 EST
New Package CVS Request
=======================
Package Name: perl-MooseX-Types-Path-Class
Short Description: A Path::Class type library for Moose
Owners: cweyl
Branches: F-8 F-9 F-10 devel
InitialCC: perl-sig
Comment 6 Chris Weyl 2008-11-14 15:37:17 EST
(In reply to comment #4)
> It's sad to add all of that cruft to the specfile just so you can include some
> test files which are simply not even remotely useful as documentation. 
> Priorities, right?  But, hey, it's your package.

Yeah, and consistency.  

I've been working on a feature proposal[1] to automagically package test suites, so I'm actually going to discontinue packaging them in %doc after these last few already-submitted package...

[1] https://fedoraproject.org/wiki/Features/FullyTestablePerl
Comment 7 Kevin Fenzi 2008-11-16 15:27:08 EST
cvs done.
Comment 8 Iain Arnell 2010-09-02 10:34:38 EDT
Package Change Request
======================
Package Name: perl-MooseX-Types-Path-Class
New Branches: el6
Owners: iarnell tremble
Comment 9 Kevin Fenzi 2010-09-02 17:23:39 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.